Bug 849579 - Review Request: perl-Statistics-Contingency - Calculate precision, recall, F1, accuracy, etc
Review Request: perl-Statistics-Contingency - Calculate precision, recall, F1...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850641
  Show dependency treegraph
 
Reported: 2012-08-20 05:03 EDT by Mathieu Bridon
Modified: 2012-09-21 06:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 23:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2012-08-20 05:03:34 EDT
Spec URL: http://bochecha.fedorapeople.org/packages/perl-Statistics-Contingency.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Statistics-Contingency-0.08-1.fc18.src.rpm

Description:
The Statistics::Contingency class helps you calculate several useful
statistical measures based on 2x2 "contingency tables". I use these
measures to help judge the results of automatic text categorization
experiments, but they are useful in other situations as well.

Fedora Account System Username: bochecha
Comment 1 Michael Scherer 2012-09-02 07:13:53 EDT
Hi,

could you try to see if the signature could be checked ( cpansign -v , cf Statistics-Contingency-0.08/SIGNATURE ), and add it to the spec ?

Also, there is no license file, so you should ask upstream to include it.

And there is a unowned directory.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


Issues:
=======
[!]: Package must own all directories that it creates.
     Note: %{perl_vendorlib}/Statistics/ would be unowned
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr macros not found. They would be needed for EPEL5
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: No description for test named CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Statistics-Contingency-0.08.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: perl-Statistics-Contingency-0.08-1.fc17.noarch.rpm
          perl-Statistics-Contingency-0.08-1.fc17.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Statistics-Contingency
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Statistics-Contingency-0.08-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    perl(:MODULE_COMPAT_5.14.2)  
    perl(Params::Validate)  
    perl(Params::Validate) >= 0.23
    perl(strict)  



Provides
--------
perl-Statistics-Contingency-0.08-1.fc17.noarch.rpm:
    
    perl(Statistics::Contingency) = 0.08
    perl-Statistics-Contingency = 0.08-1.fc17



MD5-sum check
-------------
http://www.cpan.org/authors/id/K/KW/KWILLIAMS/Statistics-Contingency-0.08.tar.gz :
  CHECKSUM(SHA256) this package     : 14a723bb0d442c5ba1790f1f27338dc2eb73e4347422ad7a9fc35c0fcb50269a
  CHECKSUM(SHA256) upstream package : 14a723bb0d442c5ba1790f1f27338dc2eb73e4347422ad7a9fc35c0fcb50269a


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 849579
Comment 2 Ralf Corsepius 2012-09-03 01:27:27 EDT
It's Fedora perl-modules' packaging convention to let perl-modules own all directories below %{perl_vendorlib}.

This packages misses to own %{perl_vendorlib}/Statistics (MUSTFIX):

# rpm -qlvp  /var/lib/mock/fedora-rawhide-x86_64/result/perl-Statistics-Contingency-0.08-1.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Sep  3 07:25 /usr/share/doc/perl-Statistics-Contingency-0.08
-rw-r--r--    1 root    root                     1963 Aug 24  2008 /usr/share/doc/perl-Statistics-Contingency-0.08/Changes
-rw-r--r--    1 root    root                     8534 Aug 24  2008 /usr/share/doc/perl-Statistics-Contingency-0.08/README
-rw-r--r--    1 root    root                     4592 Sep  3 07:25 /usr/share/man/man3/Statistics::Contingency.3pm.gz
-rw-r--r--    1 root    root                    12994 Sep  3 07:25 /usr/share/perl5/vendor_perl/Statistics/Contingency.pm
Comment 3 Mathieu Bridon 2012-09-13 01:33:14 EDT
Thanks for the feedback, here's a new version which should fix both issues.

Spec URL: http://bochecha.fedorapeople.org/packages/perl-Statistics-Contingency.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Statistics-Contingency-0.08-2.fc18.src.rpm
Comment 4 Michael Scherer 2012-09-15 09:39:20 EDT
Ok, seems to be good.
Approved.
Comment 5 Mathieu Bridon 2012-09-19 23:07:33 EDT
Thanks for the review Michael!

New Package SCM Request
=======================
Package Name: perl-Statistics-Contingency
Short Description: Calculate precision, recall, F1, accuracy, etc
Owners: bochecha
Branches: devel
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2012-09-20 06:51:39 EDT
Git done (by process-git-requests).
Comment 7 Mathieu Bridon 2012-09-20 23:02:38 EDT
Thanks for the SCM Jon!

Package build in Rawhide, closing.
Comment 8 Gwyn Ciesla 2012-09-21 06:09:18 EDT
Unsetting flag.

Note You need to log in before you can comment on or make changes to this bug.